Skip to main content

/initia/mstaking/v1/validators/{validator_address}/delegations

GET

Returns all delegations associated with the given validator.
Path Parameters
validator_addressstringrequired
Validator operator address (bech32).
Query Parameters
pagination.limitstring
Maximum number of results to return per page.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-initia-mainnet.nodit.io/initia/mstaking/v1/validators/initvaloper1hq2gma6r9s9yz5klk0ra5gtwhxf2f6va7eqwep/delegations?pagination.limit=10' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'